Nextcloud 16 app skeleton compability

Hello,

I have tried to set up the tutorial app which is mentioned in the Developer Documentation for NextCloud v16. However, it failed. Multiple times with multiple reinstallations. I got in touch with NextCloud through social media, but they recommended I discuss this with you guys.

Is it possible the reason the tutorial app is not working is because the skeleton app is made for v15 and not v16? I am sure there’s a possibility I may have done something wrong as well, but I’ve given this several chances and reinstalled all packages/nextcloud/db/apache several times as well. I’m confident I followed the documentation correctly.

I should also mention you can’t generate a skeleton app for v16.

TLDR; are there any known compability issues using the v15 skeleton app for v16?

Thanks in advance.

EDIT: Fixed some bad choices of words.